%=======================================================================
function save_tx
%=======================================================================

% reads HZSE.mat w/ array impedances and 
% writes rund2inv input files
% if wanted, Z is rotated in "load_edis"
% (could certainly be changed)

% load impedance array
[matfile,matpath] = uigetfile({'*.mat'},'pick mat file');
matfile = fullfile(matpath,matfile);
eval(['load ',matfile]);

per = T;
nper = length(per)
nsites = size(coord,1)

Zte = ZZZ(2,1,1);
Ztm = ZZZ(3,1,1);

cmode=['te';'tm'];
for imode=1:2
    fid=fopen(['save_tx.',cmode(imode,:)],'w');
    fprintf(fid,'%d\n',nsites);
    for isite=1:nsites
        fprintf(fid,'%d 1.0\n',nper);
        for iper=1:nper
            % rho = .2*T*|Z|^2    [if Z is in km/s]
            if imode==1 icomp=2; else icomp=3; end
            Z = ZZZ(icomp,iper,isite);
            E = EEE(icomp,iper,isite);
            T = per(iper);
            % for errors, see Mackie's Doc on rund2inv
            rho = 0.2*T*abs(Z)^2;
            rho_err = 2*E/abs(Z);
            % note that the minus (-imag) is due to conjugate in rund2inv
            % phs (TE) and phs (TM) has to be from [0,-90]
            phs = atan2(-imag(Z),real(Z))*180/pi;
            if imode==2 phs=phs-180; end
            phs_err = E/abs(Z);
            fprintf(fid,'%10.4e (%13.3f,%13.3f) %13.6f %13.6f\n',...
                per(iper),rho,phs,rho_err,phs_err);
        end
    end
    fclose(fid);
end